Create a custom tax rate
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/custom-tax-rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"components": [
{
"name": "<string>",
"value": 5000
}
],
"name": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/custom-tax-rates"
payload = {
"components": [
{
"name": "<string>",
"value": 5000
}
],
"name": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({components: [{name: '<string>', value: 5000}], name: '<string>'})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/custom-tax-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"components": [
{
"name": "<string>",
"value": 5000
}
],
"name": "<string>",
"value": 123,
"created_by_entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Custom tax rates
Create a custom tax rate
POST
/
finops
/
v1
/
custom-tax-rates
Create a custom tax rate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Body
application/json
Response
Successful Response
Time at which the Custom tax rate was created. Timestamps follow the ISO 8601 standard.
Time at which the Custom tax rate was last updated. Timestamps follow the ISO 8601 standard.
Sub-taxes included in the Custom VAT.
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
Display name of the Custom VAT.
Maximum string length:
64Total sum of the Custom tax rate including components. Percent multiplied by a 100. Example: 12.125% is 1212.5.
ID of the user that created the Custom tax rate
Was this page helpful?
⌘I